﻿using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.SilverlightCore;
using ThinkGeo.MapSuite.SilverlightEdition;

namespace Post7677
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Map_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.RestrictedExtent = new RectangleShape(-150, 60, -50, 20);

            Map1.InteractiveOverlays.Add(new RestrictExtentInteractiveOverlay(new RectangleShape(-150, 60, -50, 20)));
            WorldMapKitWmsSilverlightOverlay baseOverlay = new WorldMapKitWmsSilverlightOverlay();
            Map1.Overlays.Add(baseOverlay);
            Map1.CurrentExtent = new RectangleShape(-135.7, 83.6, 113.5, -53);
        }
    }
}
